<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS HttpGet</title>
          
      <!-- Angular Javascript File -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      <script type="text/javascript" src="resource/js/ang_http_get_data.js"></script>
      
      <!-- Bootstrap Css -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
      <link rel="stylesheet" href="resource/css/planets.css">     
   </head>
   <body>
      <div id="angularHttpGet" class="container">
         <h1 align="center" class="text-primary">AngularJS - HTTP Get Example</h1>
         <hr />
         
         <!------ ANGULAR JS HTTP 'get()' EXAMPLE ------>
         <div ng-app="app" ng-controller="ctrl" ng-init="getData()">
         	<h3 id="header_msg" class="text-warning">A demo of HTTP '<em>get()</em>' method in Angular JavaScript!</h3>
         	<div>&nbsp;</div>
         	         	
         	<table id="planetsTable" class="table" ng-show="!state">
         		<thead>
         			<tr>
         				<th scope="col">Planet Id</th><th scope="col"><a href="#" ng-click="sortType = 'name'; sortOrder = !sortOrder">Planet / Star</a></th><th scope="col">Distance from Sun</th><th scope="col">Light Years</th><th scope="col">Moons Count?</th>
         			</tr>
         		</thead>
         		<tbody>
         			<tr ng-repeat="row in json_data | orderBy:sortType:sortOrder" ng-class="rollClass" ng-mouseenter="rollClass = 'highlight'" ng-mouseleave="rollClass = ''">
         				<td>{{ row.id }}</td>
         				<td>{{ row.name }}</td>
         				<td>{{ row.distancefromsun }}</td>
         				<td>{{ row.lightyears }}</td>
         				<td>{{ row.moons }}</td>
         			</tr>         			    			
         		</tbody>
         	</table> 
         	
         	<!-- Error Message -->
         	<div id="showError" ng-show="state">
         		<span id="failureMsg" class="text-danger">Error in retrieving data!</span>
         	</div>       	         	
         </div>
      </div>
   </body>
</html>